Subject: bug#45273: 27.1: Cannot display options help text for query-replace

From: Mark Harig <[email-masked]>
Date: Wed, 16 Dec 2020 19:59:56 +0000 (UTC)

-----Original Message-----
From: Eli Zaretskii <[email-masked]>
To: Mark Harig <[email-masked]>
Cc: [email-masked]
Sent: Wed, Dec 16, 2020 2:15 pm
Subject: Re: bug#45273: 27.1: Cannot display options help text for query-replace

> This citation is incomplete: you've taken one item from a long list of
> characters one can type, and that list begins with this text:

 >    The characters you can type when you are shown a match for the string
 >  or regexp are:

> So the Help character will work if you type it after you already
> provided the string to replace and its replacement, and Emacs shows
> you the first match -- which is when this help is relevant.  You don't
> need this help earlier because none of those characters can be used
> before the first match is found.
Agreed.  I had mistakenly and too quickly assumed that the behavior would be the same as it is for C-s (isearch-forward).
> I added 'E' to the text in the manual on the emacs-27 branch.
>
> With that, I'm closing this bug report.  Thanks.
Thank you.
--